Subject: Re: [PATCH 1/1] asm-generic: delay.h fix udelay and ndelay for 8 bit args

From: Jonas Bonn <[email-masked]>
Date: Fri, 22 Jul 2011 21:17:05 +0200

On Fri, 2011-07-22 at 12:11 -0700, H. Peter Anvin wrote:
> On 07/22/2011 12:04 PM, Jonas Bonn wrote:
> > 
> > On Mon, 2011-07-18 at 16:05 +0200, Jonas Bonn wrote:
> >> From: Andrew Morton <[email-masked]>
> >>
> >> With a non-constant 8-bit argument, a call to udelay() generates a warning:
> >>
> > <snip>
> > 
> >> ---
> >>
> >> Here's a patch that should resolve the merge conflict.  This applies
> >> Andrew's changes on top of the new asm-generic/delay.h instead of the x86
> >> arch-specific one.  I've tested this for OpenRISC and the changed macros
> >> don't cause any problems there.
> >>
> >> Let me know if this is OK and I'll throw it into the OpenRISC tree together
> >> with the other delay.h modifications.
> >>
> > 
> > I haven't gotten any feedback on this... since the change looks
> > appropriate to merge with the other changes to asm-generic/delay.h, I'll
> > apply this patch there and carry the patch together with the other
> > asm-generic/delay.h changes in the 'openrisc' tree.  Andrew can drop the
> > patch from his series to avoid the merge conflict.
> > 
> > I hope that works for everybody...
> > 
> 
> You may want to Cc: Arnd on this, since he's the asm-generic maintainer.
> 
> Otherwise, since this is zero work on our part, it obviously works for me.
> 

Good idea!

CC:ing Arnd, too...

Arnd has already reviewed the changes to delay.h.  This is only about
getting Andrew's fixes out of his tree where they cause a merge conflict
and into asm-generic/delay.h where they belong.

Thanks,
Jonas